<?php

/**
 * @package     Sven.Bluege
 * @subpackage  com_eventgallery
 *
 * @copyright   Copyright (C) 2005 - 2019 Sven Bluege All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die;


\Joomla\CMS\HTML\HTMLHelper::_('bootstrap.tooltip', '.modalTooltip', array('container' => '.modal-body'));

$return = '<label id="batch-tags-lbl" for="batch-tags" class="hasToolip">'
    . \Joomla\CMS\Language\Text::_('COM_EVENTGALLERY_BATCH_TAGS_LABEL')
    . '</label>';

$return .= '
<div class="control-group">';

    // Create the batch selector to tag items on a selection list.
$return .=
    '<select name="batch[tags]" class="inputbox form-control" id="batch-tag-id">'
        . '<option value="">' . \Joomla\CMS\Language\Text::_('JLIB_HTML_BATCH_TAG_NOCHANGE') . '</option>'
        . \Joomla\CMS\HTML\HTMLHelper::_('select.options', \Joomla\CMS\HTML\HTMLHelper::_('tag.tags', array('filter.published' => array(1))), 'value', 'text')
        . '</select>';
$return .='
</div>
<div class="control-group radio">

    <label for="batch[tags_action]a" id="batch[tags_action]a-lbl" class="radio">
        <input type="radio" name="batch[tags_action]" id="batch[tags_action]a" value="add" checked="checked">'.\Joomla\CMS\Language\Text::_('COM_EVENTGALLERY_BATCH_TAGS_ACTION_ADD_LABEL').'
    </label>
    <label for="batch[tags_action]r" id="batch[tags_action]r-lbl" class="radio">
        <input type="radio" name="batch[tags_action]" id="batch[tags_action]r" value="remove">'.\Joomla\CMS\Language\Text::_('COM_EVENTGALLERY_BATCH_TAGS_ACTION_REMOVE_LABEL').'
    </label>
</div>';

echo $return;
