<?php
/**
 * @package     Sven.Bluege
 * @subpackage  com_eventgallery
 *
 * @copyright   Copyright (C) 2005 - 2019 Sven Bluege All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
namespace Svenbluege\Component\Eventgallery\Administrator\Controller;
use Joomla\CMS\MVC\Controller\FormController;

defined('_JEXEC') or die;

class UploadController extends FormController
{

    protected $default_view = 'upload';

	function upload() {

        $folder = $this->input->getString('folder');
		$this->getModel()->upload($folder);
		die();
	}

	public function cancel($key = NULL) {
		$this->setRedirect( 'index.php?option=com_eventgallery&view=events');
	}
}
